Skip to main content
Web Services

Execute a report as fields

Execute a Report as fields.

POST
/web-services/gb/reporting/executeReportAsFields

This API is deprecated and must not be used for any future development under any circumstances.

For further assistance, contact your account manager immediately.

This method requires the WebServices and WebServices:Deprecated permissions to be associated with your role.

Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd

Body

application/vnd.catch-e-api.v1+json

JSON payload

parametersobjectrequired

Report parameters

These parameters will vary significantly depending on the report_path specified

report_pathstringrequired

Report path to execute

Example: /core/fleet/reports/pdf_novated_driver_budgeted_with_transactions.phpo

Response

application/json

Success

bodystring